org.apache.ignite.internal.util.lang

## Class IgniteInClosureX<T>

- java.lang.Object
- - org.apache.ignite.internal.util.lang.IgniteInClosureX<T>

All Implemented Interfaces:
  Serializable, IgniteInClosure<T>

Direct Known Subclasses:
  CIX1

    public abstract class IgniteInClosureX<T>
    extends Object
    implements IgniteInClosure<T>

Convenient in-closure subclass that allows for thrown grid exception. This class implements `apply(Object)` method that calls `applyx(Object)` method and properly wraps `IgniteCheckedException` into `GridClosureException` instance.

See Also:
  `CIX1`, Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`IgniteInClosureX()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`void` `apply(T t)` Closure body.
`abstract void` `applyx(T t)` In-closure body that can throw `IgniteCheckedException`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IgniteInClosureX

    public IgniteInClosureX()

### Method Detail

#### apply

    public void apply(T t)

Closure body.

Specified by:
  `apply` in interface `IgniteInClosure<T>`
Parameters:
  `t` - Closure argument.

#### applyx

    public abstract void applyx(T t)
                         throws IgniteCheckedException

In-closure body that can throw `IgniteCheckedException`.

Parameters:
  `t` - The variable the closure is called or closed on.
Throws:
  `IgniteCheckedException` - Thrown in case of any error condition inside of the closure.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.12.0
Release Date | : January 10 2022